#!/usr/bin/env node

const chalk = require('chalk');
const program = require('commander');
const inquirer = require('inquirer');
const spawn = require('child_process').spawn;




program
//.option('-d, --debug', 'builds with debug symbols.')
//.command('swift build --enable-prefetching')
.parse(process.argv);

let build = spawn('swift', ['run'], { stdio: 'inherit' });

build.on('error', (err) => {
  console.error(chalk.red('Error: ') + 'failed to run IBM Cloud Developer Tools');
  //console.error('Run `kitura idt` to install');
});
build.on('close', (code) => {
  if(code == 0) {
    console.log('Everything OK');    
    process.exit(code);  
  } else {
    console.error("ERROR!");
    process.exit(code);
  }
});





