#!/usr/bin/env node

const pjson = require('./package.json');
const program = require('commander');

program
    .version(pjson.version)
    .description('Demo command-line interface')
    .command('build', 'Compiles the application.')    
    .command('run', 'Run the application.')
    .command('install', 'Install the application.')
    .command('update', 'Update the application.')     
    .parse(process.argv);